<?xml version="1.0" standalone="no"?>

<!DOCTYPE xmlsql SYSTEM "xmlsql.dtd">

<xmlsql>

<retract construct="table" name="pub"/>

<update label="create pub">
CREATE TABLE pub 
(  id VARCHAR(20) NOT NULL,
   authors VARCHAR(120) NOT NULL,
   title VARCHAR(120) NOT NULL,
   booktitle VARCHAR(70),
   year INTEGER,
   CONSTRAINT pub_pk PRIMARY KEY (authors,title)
)
</update>

<update>
		INSERT INTO pub VALUES ('BR04','Z. Bellahs\`{e}ne and M. Roantree','Querying Distributed Data in a Super-Peer Based Architecture','Proc. DEXA 2004', 2004)
</update>
<update>
		INSERT INTO pub VALUES ('GHIRS01','S. Gribble and A. Halevy and Z. Ives and M. Rodrig and D. Suiu','What can databases do for peer to peer?','Proc. WebDB Workshop', 2001)
</update>
<update>
		INSERT INTO pub VALUES ('YG01','B. Yang and H. Garcia-Molina','Comparing Hybrid Peer-to-Peer Systems','Proc. VLDB', 2001)
</update>
<update>
		INSERT INTO pub VALUES ('YG03','B. Yang and H. Garcia-Molina','Designing a Super-Peer Network','Proc. 19th ICDE', 2003)
</update>
<update>
		INSERT INTO pub VALUES ('HGS03b','E. Hung and L. Getoor and V.S. Subrahmanian','{PXML}: {A} Probabilistic Semistructured Data Model and Algebra','Proc. ICDE', 2003)
</update>
<update>
		INSERT INTO pub VALUES ('MRMM05','M. Magnani and N. Rizopoulos and P.J. McBrien and D. Montesi','Uncertainty in Semantic Schema Integration','Proc. ER05', 2005)
</update>
<update>
		INSERT INTO pub VALUES ('FKLZ04','E. Franconi and G. Kuper and A. Lopatenko and I. Zaihrayeu','The {coDB} robust peer-to-peer database system','Proc. 2nd Workshop on Semantics in Peer-to-Peer and Grid Computing', 2004)
</update>
<update>
		INSERT INTO pub VALUES ('BP03','P.A. Bernstein and R.A. Pottinger','Merging Models Based on Given Correspondences','Proc. 29th VLDB', 2003)
</update>
<update>
		INSERT INTO pub VALUES ('RM05','N. Rizopoulos and P.J. McBrien','A General Approach to the Generation of Conceptual Model Transformations','Proc. CAiSE\'05', 2005)
</update>
<update>
		INSERT INTO pub VALUES ('BKLMR04a','M. Boyd and S. Kittivoravitkul and C. Lazanitis and P.J. McBrien and N. Rizopoulos','{AutoMed}: {A BAV} Data Integration System for Heterogeneous Data Sources','Proc. CAiSE\'04', 2004)
</update>
<update>
		INSERT INTO pub VALUES ('MP03b','P.J. McBrien and A. Poulovassilis','Defining Peer-to-Peer Data Integration using Both as View Rules','Proc. DBISP2P, at VLDB\'03', 2003)
</update>
<update>
		INSERT INTO pub VALUES ('Hal03b','A. Halevy and Z. Ives and D. Suciu and I. Tatarinov','Piazza: Data management infrastructure for semantic web applications','Proc. WWW\'03', 2003)
</update>
<update>
		INSERT INTO pub VALUES ('Hal03a','A. Y. Halevy and Z. G. Ives and D. Suciu and I. Tatarinov','Schema Mediation in Peer Data Management Systems','Proc. ICDE\'03', 2003)
</update>
<update>
		INSERT INTO pub VALUES ('BGKMSZ02','P. Bernstein and F. Giunchiglia and A. Kementsietsidis and J. Mylopoulos and L. Serani and I. Zaihrayeu','Data Management for Peer-to-Peer Computing: A Vision','Proc. WebDB\'02', 2002)
</update>
<update>
		INSERT INTO pub VALUES ('MP03a','P.J. McBrien and A. Poulovassilis','Data Integration by Bi-Directional Schema Transformation Rules','Proc. ICDE\'03', 2003)
</update>
<update>
		INSERT INTO pub VALUES ('MP02a','P.J. McBrien and A. Poulovassilis','Schema Evolution in Heterogeneous Database Architectures, A Schema Transformation Approach','Proc. CAiSE\'02', 2002)
</update>
<update>
		INSERT INTO pub VALUES ('MP01a','P.J. McBrien and A. Poulovassilis','A Semantic Approach to Integrating {XML} and Structured Data Sources','Proc. CAiSE\'01', 2001)
</update>
<update>
		INSERT INTO pub VALUES ('MP99b','P.J. McBrien and A. Poulovassilis','Automatic migration and wrapping of database applications --- a schema transformation approach','Proc. ER\'99', 1999)
</update>
<update>
		INSERT INTO pub VALUES ('MP97','P.J. McBrien and A. Poulovassilis','A Formal Framework for {ER} Schema Transformation','Proc. ER\'97', 1997)
</update>
<update>
		INSERT INTO pub VALUES ('Len02','M. Lenzerini','Data Integration: {A} Theoretical Perspective','Proc. PODS\'02', 2002)
</update>
<update>
		INSERT INTO pub VALUES ('MH03','J. Madhavan and A.Y. Halevy','Composing Mappings Among Data Sources','Proc. VLDB\'03', 2003)
</update>
<update>
		INSERT INTO pub VALUES ('BM04b','M. Boyd and P.J. McBrien','Towards a Semi-Automated Approach to Intermodel Transformations','Proc. EMMSAD 04, CAiSE Workshop Proceedings Volume 1', 2004)
</update>
<update>
		INSERT INTO pub VALUES ('BM04c','Poulovassilis','A Semantic Approach to Integrating {XML} and Structured Data Sources','Proc. CAiSE\'01', 2001)
</update>
<update>
		INSERT INTO pub VALUES ('RMMM05','N. Rizopoulos and M. Magnani and P.J. McBrien and D. Montesi','Uncertainty in Semantic Schema Integration','Proc. BNCOD05', 2005)
</update>
<update>
		INSERT INTO pub VALUES ('BDK92','P. Buneman and S. Davidson and A. Kosky','Theoretical Aspects of Schema Merging','Proc EDBT92', 1992)
</update>
<update>
		INSERT INTO pub VALUES ('KKA05','M. van Keulen and A. de Keijzer and W. Alink','A Probabilistic {XML} Approach to Data Integration.','Proc. ICDE', 2005)
</update>

</xmlsql>
